<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
  <Swiper
    :modules="[SwiperAutoplay, SwiperPagination, SwiperNavigation]"
    :slides-per-view="1"
    :navigation="true"
    :autoplay="{
      delay: 8000,
      disableOnInteraction: true,
    }"
    :pagination="{
        clickable: true,
    }"
    class="slider-info"
  >
    <SwiperSlide v-for="slider in sliders" :key="slider.id">
        <div class="slider-info-item" :class="['slider-info-item', slider.template == 2 ? 'slider-light' : '']">
            <img v-if="slider.media_type == 1" :src="slider.media_url" :alt="slider.title">
            <h2>{{ slider.title }}</h2>
            <p v-if="slider.text">{{ slider.text }}</p>
            <div class="slider-info-actions">
                <a :href="slider.button_link" class="button button-default"><div class="button-inner"><span><i class="icon-arrow-right"></i></span>{{ slider.button_text }}</div></a>
            </div>
        </div>
    </SwiperSlide>
  </Swiper>
</template>
<script setup lang="ts">
    const { sliders } = defineProps(['sliders']);
</script>